pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc/pkgtools/pbulk/files/pbulk/scripts fix previous:
details: https://anonhg.NetBSD.org/pkgsrc/rev/8e444aea4d36
branches: trunk
changeset: 555653:8e444aea4d36
user: tnn <tnn%pkgsrc.org@localhost>
date: Fri Mar 06 13:05:21 2009 +0000
description:
fix previous:
actually, if our /bin/sh has some bug related to set -e,
it's better to write the test with if-then-fi instead.
diffstat:
pkgtools/pbulk/files/pbulk/scripts/pkg-up-to-date | 6 ++++--
1 files changed, 4 insertions(+), 2 deletions(-)
diffs (19 lines):
diff -r fc823c057683 -r 8e444aea4d36 pkgtools/pbulk/files/pbulk/scripts/pkg-up-to-date
--- a/pkgtools/pbulk/files/pbulk/scripts/pkg-up-to-date Fri Mar 06 13:00:29 2009 +0000
+++ b/pkgtools/pbulk/files/pbulk/scripts/pkg-up-to-date Fri Mar 06 13:05:21 2009 +0000
@@ -1,5 +1,5 @@
#!@SH@
-# $NetBSD: pkg-up-to-date,v 1.4 2009/03/06 13:00:29 tnn Exp $
+# $NetBSD: pkg-up-to-date,v 1.5 2009/03/06 13:05:21 tnn Exp $
#
# Copyright (c) 2007 Joerg Sonnenberger <joerg%NetBSD.org@localhost>.
# All rights reserved.
@@ -66,5 +66,7 @@
fi
done
[ $found = 1 ]
- [ "${packages}/All/${dep}.tgz" -ot "${pkg}" ]
+ if [ "${packages}/All/${dep}.tgz" -nt "${pkg}" ]; then
+ exit 1
+ fi
done
Home |
Main Index |
Thread Index |
Old Index